mercurial adapter does not work
Status: Closed Start date: 2008-04-12

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed Affected version:  

Description

On first clicking on Repository I get (Ruby 1.8.6, Rails 2.0.2, Hg 1.0):

/usr/lib/ruby/1.8/date/format.rb:959:in `dup'

/usr/lib/ruby/1.8/date/format.rb:959:in `_parse'

/usr/lib/ruby/1.8/time.rb:240:in `parse'

lib/redmine/scm/adapters/mercurial_adapter.rb:178:in `build_revision_from_changeset'

lib/redmine/scm/adapters/mercurial_adapter.rb:108:in `revisions'

lib/redmine/scm/adapters/abstract_adapter.rb:118:in `call'

lib/redmine/scm/adapters/abstract_adapter.rb:118:in `shellout'

lib/redmine/scm/adapters/abstract_adapter.rb:116:in `popen'

lib/redmine/scm/adapters/abstract_adapter.rb:116:in `shellout'

lib/redmine/scm/adapters/mercurial_adapter.rb:80:in `revisions'

app/models/repository/mercurial.rb:68:in `fetch_changesets'

/var/lib/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:in `send'

/var/lib/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_proxy.rb:125:in `method_missing'

app/controllers/repositories_controller.rb:53:in `show'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_action_without_filters'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_filters'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_action_without_benchmark'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_action_without_caching'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_action'

/var/lib/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'

/var/lib/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_action'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_without_filters'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_without_session_management_support'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in `process'

/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

/var/lib/gems/1.8/gems/rails-2.0.2/lib/webrick_server.rb:78:in `service'

/var/lib/gems/1.8/gems/rails-2.0.2/lib/commands/servers/webrick.rb:66

/var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

/var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in `new_constants_in'

/var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in `require'

/var/lib/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:39

Associated revisions

Revision 1343 - 2008-04-12 19:13 - Jean-Philippe Lang

Fixed: error when browsing an empty Mercurial repository (#1046).

History

#1 - 2008-04-12 19:18 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

2025-05-02 1/2



Does you repository contains any commits ? Or is it a fresh repository ?

I've committed a fix in r1343.

Can you confirm it fixes your problem ?

#2 - 2008-04-13 01:05 - Georg Koltermann

Yes the repo contains a lot of revisions, some 6000.

I tried latest trunk of redmine now, and it may have fixed it.  It is still consuming 100% CPU after a couple minutes, I assume it is now building the DB

cache of

the repository history.  I'll let it run for a while and go to sleep :)

#3 - 2008-04-13 10:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version set to 0.7

I assume it is now building the DB cache of the repository history

 Yes, the changesets are stored in the database. I close this bug, reopen if needed.

Thanks for the feedback.
